Skip to main content

Create UDV NFS share for a specific FS subclient​

Create UDV NFS share for a specific FS subclient

Path Parameters
  • subclientId int32 required

    Possible values: >= 1

    ID of the FS subclient associated with the UDV NFS share

Request Body required
  • name string required

    Name of the UDV NFS share

  • mediaAgents object[] required

    Media Agents from the plan associated with the UDV NFS share that are to serve the UDV NFS share

  • id int32
  • name string
  • allowedClientsType string required

    Possible values: [ALL, IP_ADDRESS, CIDR_BLOCK]

    Determines how allowedClientsList values are interpreted

  • allowedClientsList string[]

    IP addresses or CIDR blocks allowed to access the share. Empty if allowedClientsType='ALL'

Responses

UDV NFS share for subclient created successfully


Schema
  • share object
  • id int32

    ID of the UDV NFS share

  • name string

    Name of the UDV NFS share

  • subclientId int32

    Subclient associated with the UDV NFS share

  • planId int32

    Plan associated with the UDV NFS share

  • mediaAgents object[]

    Media Agents from the plan associated with the UDV NFS share that are to serve the UDV NFS share

  • id int32
  • name string
  • allowedClientsType string

    Possible values: [ALL, IP_ADDRESS, CIDR_BLOCK]

    Determines how allowedClientsList values are interpreted

  • allowedClientsList string[]

    IP addresses or CIDR blocks allowed to access the share. Empty if allowedClientsType='ALL'

  • mediaAgentExportStatuses object[]
  • mediaAgent object
  • id int32
  • name string
  • exportStatus string

    Possible values: [SUCCESS, FAILED]

    Export status of the UDV NFS share on the Media Agent

  • errorString string

    Error message if the export status is FAILED

Loading...